Skip to main content

Execute Bash command

POST /api/bash/execute_bash_command

Execute a bash command and wait for a result

Request body​

FieldTypeRequiredDescription
commandstringyesThe bash command to execute
cwd`stringnull`no
timeoutintegernoThe max number of seconds a command may be permitted to run.

Responses​

StatusDescription
200Successful Response
422Validation Error

Response body​

FieldTypeRequiredDescription
idstringno—
timestampstringno—
command_idstringyes—
orderintegernoThe order for this output, sequentially starting with 0
exit_code`integernull`no
stdout`stringnull`no
stderr`stringnull`no
kindstringyes—

Operation ID: execute_bash_command_api_bash_execute_bash_command_post